<?php

namespace App\Dto;

readonly class SnipFilterRequest implements CachableDtoInterface
{
    public function __construct(
        public bool $onlyVisible = true,
    ) {}

    public function toArray(): array
    {
        return [
            'onlyVisible' => $this->onlyVisible,
        ];
    }
}